Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar30
Class InterceptorBindingTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar30.InterceptorBindingTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, InterceptorBindingType<T>

    public class InterceptorBindingTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, InterceptorBindingType<T>

This class implements the `interceptor-bindingType` xsd type

Original Documentation:

The interceptor-bindingType element describes the binding of
interceptor classes to beans within the ejb-jar.
It consists of :
- An optional description.
- The name of an ejb within the ejb-jar or the wildcard value "*",
which is used to define interceptors that are bound to all
beans in the ejb-jar.
- A list of interceptor classes that are bound to the contents of
the ejb-name element or a specification of the total ordering
over the interceptors defined for the given level and above.
- An optional exclude-default-interceptors element. If set to true,
specifies that default interceptors are not to be applied to
a bean-class and/or business method.
- An optional exclude-class-interceptors element. If set to true,
specifies that class interceptors are not to be applied to
a business method.
- An optional set of method elements for describing the name/params
of a method-level interceptor.
Interceptors bound to all classes using the wildcard syntax
"*" are default interceptors for the components in the ejb-jar.
In addition, interceptors may be bound at the level of the bean
class (class-level interceptors) or business methods (method-level
interceptors ).
The binding of interceptors to classes is additive. If interceptors
are bound at the class-level and/or default-level as well as the
method-level, both class-level and/or default-level as well as
method-level will apply.
There are four possible styles of the interceptor element syntax :
1.
Specifying the ejb-name as the wildcard value "*" designates
default interceptors (interceptors that apply to all session and
message-driven beans contained in the ejb-jar).
2.
This style is used to refer to interceptors associated with the
specified enterprise bean(class-level interceptors).
3.
This style is used to associate a method-level interceptor with
the specified enterprise bean. If there are multiple methods
with the same overloaded name, the element of this style refers
to all the methods with the overloaded name. Method-level
interceptors can only be associated with business methods of the
bean class. Note that the wildcard value "*" cannot be used
to specify method-level interceptors.
4.
This style is used to associate a method-level interceptor with
the specified method of the specified enterprise bean. This
style is used to refer to a single method within a set of methods
with an overloaded name. The values PARAM-1 through PARAM-N
are the fully-qualified Java types of the method's input parameters
(if the method has no input arguments, the method-params element
contains no method-param elements). Arrays are specified by the
array element's type, followed by one or more pair of square
brackets (e.g. int[][]).

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`InterceptorBindingTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`InterceptorBindingTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getEjbName()` Returns the `ejb-name` element
`java.util.List<java.lang.String>` | `getInterceptorClassList()` Returns all `interceptor-class` elements
`InterceptorOrderType<InterceptorBindingType<T>>` | `interceptorOrder()` If not already created, a new `interceptor-order` element will be created and returned.
`java.lang.Boolean` | `isExcludeClassInterceptors()` Returns the `exclude-class-interceptors` element
`java.lang.Boolean` | `isExcludeDefaultInterceptors()` Returns the `exclude-default-interceptors` element
`NamedMethodType<InterceptorBindingType<T>>` | `method()` If not already created, a new `method` element will be created and returned.
`InterceptorBindingType<T>` | `removeAllDescription()` Removes the `description` element
`InterceptorBindingType<T>` | `removeAllInterceptorClass()` Removes the `interceptor-class` element
`InterceptorBindingType<T>` | `removeEjbName()` Removes the `ejb-name` element
`InterceptorBindingType<T>` | `removeExcludeClassInterceptors()` Removes the `exclude-class-interceptors` element
`InterceptorBindingType<T>` | `removeExcludeDefaultInterceptors()` Removes the `exclude-default-interceptors` element
`InterceptorBindingType<T>` | `removeInterceptorOrder()` Removes the `interceptor-order` element
`InterceptorBindingType<T>` | `removeMethod()` Removes the `method` element
`InterceptorBindingType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`InterceptorBindingType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`InterceptorBindingType<T>` | `setEjbName(java.lang.String ejbName)` If not already created, a new `ejb-name` element with the given value will be created.
`InterceptorBindingType<T>` | `setExcludeClassInterceptors(java.lang.Boolean excludeClassInterceptors)` If not already created, a new `exclude-class-interceptors` element with the given value will be created.
`InterceptorBindingType<T>` | `setExcludeDefaultInterceptors(java.lang.Boolean excludeDefaultInterceptors)` If not already created, a new `exclude-default-interceptors` element with the given value will be created.
`InterceptorBindingType<T>` | `setInterceptorClass(java.lang.String interceptorClass)` Creates a new `interceptor-class` element
`InterceptorBindingType<T>` | `setInterceptorClassList(java.lang.String... values)` Creates for all String objects representing `interceptor-class` elements, a new `interceptor-class` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterceptorBindingTypeImpl

    public InterceptorBindingTypeImpl(T t,
                                      java.lang.String nodeName,
                                      org.jboss.shrinkwrap.descriptor.spi.Node node)

### InterceptorBindingTypeImpl

    public InterceptorBindingTypeImpl(T t,
                                      java.lang.String nodeName,
                                      org.jboss.shrinkwrap.descriptor.spi.Node node,
                                      org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public InterceptorBindingType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `InterceptorBindingType<T>`
  Returns:
    the current instance of `InterceptorBindingType`

### setDescriptionList

    public InterceptorBindingType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `InterceptorBindingType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `InterceptorBindingType`

### removeAllDescription

    public InterceptorBindingType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `InterceptorBindingType<T>`
  Returns:
    the current instance of `InterceptorBindingType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `InterceptorBindingType<T>`
  Returns:
    list of `description`

### setEjbName

    public InterceptorBindingType<T> setEjbName(java.lang.String ejbName)

  If not already created, a new `ejb-name` element with the given value will be created. Otherwise, the existing `ejb-name` element will be updated with the given value.

  Specified by:
    `setEjbName` in interface `InterceptorBindingType<T>`
  Returns:
    the current instance of `InterceptorBindingType`

### removeEjbName

    public InterceptorBindingType<T> removeEjbName()

  Removes the `ejb-name` element

  Specified by:
    `removeEjbName` in interface `InterceptorBindingType<T>`
  Returns:
    the current instance of `InterceptorBindingType`

### getEjbName

    public java.lang.String getEjbName()

  Returns the `ejb-name` element

  Specified by:
    `getEjbName` in interface `InterceptorBindingType<T>`
  Returns:
    the node defined for the element `ejb-name`

### setExcludeDefaultInterceptors

    public InterceptorBindingType<T> setExcludeDefaultInterceptors(java.lang.Boolean excludeDefaultInterceptors)

  If not already created, a new `exclude-default-interceptors` element with the given value will be created. Otherwise, the existing `exclude-default-interceptors` element will be updated with the given value.

  Specified by:
    `setExcludeDefaultInterceptors` in interface `InterceptorBindingType<T>`
  Returns:
    the current instance of `InterceptorBindingType`

### removeExcludeDefaultInterceptors

    public InterceptorBindingType<T> removeExcludeDefaultInterceptors()

  Removes the `exclude-default-interceptors` element

  Specified by:
    `removeExcludeDefaultInterceptors` in interface `InterceptorBindingType<T>`
  Returns:
    the current instance of `InterceptorBindingType`

### isExcludeDefaultInterceptors

    public java.lang.Boolean isExcludeDefaultInterceptors()

  Returns the `exclude-default-interceptors` element

  Specified by:
    `isExcludeDefaultInterceptors` in interface `InterceptorBindingType<T>`
  Returns:
    the node defined for the element `exclude-default-interceptors`

### setExcludeClassInterceptors

    public InterceptorBindingType<T> setExcludeClassInterceptors(java.lang.Boolean excludeClassInterceptors)

  If not already created, a new `exclude-class-interceptors` element with the given value will be created. Otherwise, the existing `exclude-class-interceptors` element will be updated with the given value.

  Specified by:
    `setExcludeClassInterceptors` in interface `InterceptorBindingType<T>`
  Returns:
    the current instance of `InterceptorBindingType`

### removeExcludeClassInterceptors

    public InterceptorBindingType<T> removeExcludeClassInterceptors()

  Removes the `exclude-class-interceptors` element

  Specified by:
    `removeExcludeClassInterceptors` in interface `InterceptorBindingType<T>`
  Returns:
    the current instance of `InterceptorBindingType`

### isExcludeClassInterceptors

    public java.lang.Boolean isExcludeClassInterceptors()

  Returns the `exclude-class-interceptors` element

  Specified by:
    `isExcludeClassInterceptors` in interface `InterceptorBindingType<T>`
  Returns:
    the node defined for the element `exclude-class-interceptors`

### removeMethod

    public InterceptorBindingType<T> removeMethod()

  Removes the `method` element

  Specified by:
    `removeMethod` in interface `InterceptorBindingType<T>`
  Returns:
    the current instance of `InterceptorBindingType`

### method

    public NamedMethodType<InterceptorBindingType<T>> method()

  If not already created, a new `method` element will be created and returned. Otherwise, the existing `method` element will be returned.

  Specified by:
    `method` in interface `InterceptorBindingType<T>`
  Returns:
    the node defined for the element `method`

### setInterceptorClass

    public InterceptorBindingType<T> setInterceptorClass(java.lang.String interceptorClass)

  Creates a new `interceptor-class` element

  Specified by:
    `setInterceptorClass` in interface `InterceptorBindingType<T>`
  Returns:
    the current instance of `InterceptorBindingType`

### setInterceptorClassList

    public InterceptorBindingType<T> setInterceptorClassList(java.lang.String... values)

  Creates for all String objects representing `interceptor-class` elements, a new `interceptor-class` element

  Specified by:
    `setInterceptorClassList` in interface `InterceptorBindingType<T>`
  Parameters:
    `list` - of `interceptor-class` objects
  Returns:
    the current instance of `InterceptorBindingType`

### removeAllInterceptorClass

    public InterceptorBindingType<T> removeAllInterceptorClass()

  Removes the `interceptor-class` element

  Specified by:
    `removeAllInterceptorClass` in interface `InterceptorBindingType<T>`
  Returns:
    the current instance of `InterceptorBindingType`

### getInterceptorClassList

    public java.util.List<java.lang.String> getInterceptorClassList()

  Returns all `interceptor-class` elements

  Specified by:
    `getInterceptorClassList` in interface `InterceptorBindingType<T>`
  Returns:
    list of `interceptor-class`

### removeInterceptorOrder

    public InterceptorBindingType<T> removeInterceptorOrder()

  Removes the `interceptor-order` element

  Specified by:
    `removeInterceptorOrder` in interface `InterceptorBindingType<T>`
  Returns:
    the current instance of `InterceptorBindingType`

### interceptorOrder

    public InterceptorOrderType<InterceptorBindingType<T>> interceptorOrder()

  If not already created, a new `interceptor-order` element will be created and returned. Otherwise, the existing `interceptor-order` element will be returned.

  Specified by:
    `interceptorOrder` in interface `InterceptorBindingType<T>`
  Returns:
    the node defined for the element `interceptor-order`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD